#if !defined(AFX_WSTCPS_H__81D06561_4259_467F_BB88_E1DCEB1FAF3F__INCLUDED_)
#define AFX_WSTCPS_H__81D06561_4259_467F_BB88_E1DCEB1FAF3F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WSTCPS.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CWSTCPS command target

class CWSTCPS : public CAsyncSocket
{
// Attributes
public:

// Operations
public:
	CWSTCPS();
	virtual ~CWSTCPS();

// Overrides
public:
	CString m_Data;
	std::vector <char> m_dta;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWSTCPS)
	public:
	virtual void OnAccept(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	virtual void OnSend(int nErrorCode);
	virtual int Send(const void* lpBuf, int nBufLen, int nFlags = 0);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CWSTCPS)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WSTCPS_H__81D06561_4259_467F_BB88_E1DCEB1FAF3F__INCLUDED_)
